﻿namespace QuickAccess.Browser {
    #region Imported Namespaces

    using System.Collections.Generic;
    using Commands;
    using GraphicsManager.Commands;
    using GraphicsManager.Models;
    using GraphicsManager.ViewModels;
    using Utilities;

    #endregion

    public static class HomeRibbonBuilder {
        #region Members

        public static ITabViewModel BuildRibbon( bool hl7Enabled ) {
            IButtonViewModel capture = new ButtonViewModel(
                new Button( ),
                "Capture Screen",
                ImageLoader.LoadImage( "options.ico" ) )
            {
                OnCallFunction = "ScreenCapture",
                LongDescription = "Performs a screen capture and saves to file.",
                Id = "ScreenCapture",
                NotInRibbon = true
            };
            CommandManagerFactory.Instance.Register( "ScreenCapture", CaptureCommand.Command );

            IButtonGroupViewModel optionsButtonGroup = new ButtonGroupViewModel(
                new ButtonGroup( ),
                "Options",
                "General Options",
                new List<IButtonViewModel> {capture} );

            return new TabViewModel(
                new Tab( ),
                "Home",
                "Home",
                "Home",
                new List<IButtonGroupViewModel> {optionsButtonGroup} );
        }

        #endregion
    }
}
