﻿namespace QuickAccess.GraphicsManager.ViewModels {
    #region Imported Namespaces

    using System.ComponentModel;
    using System.Windows.Media;
    using Models;
    using ViewModelFramework;

    #endregion

    public class ButtonViewModel : BaseDomainObjectViewModel<IButton>, IButtonViewModel {
        #region Implementation of IButtonViewModel

        private ImageSource _icon;

        private string _longDescription;

        private string _name;

        private string _onCallFunction;

        private object _onCallFunctionParameter;

        private string _shortDescription;

        private string _id;

        #region Constructors

        public ButtonViewModel( IButton domainObject, string name, ImageSource icon ) : base( domainObject ) {
            this._name = name;
            this._icon = icon;
        }

        #endregion

        public string Name
        {
            get { return this._name; }
            set
            {
                this._name = value;
                this.OnPropertyChanged( );
            }
        }

        public string Id
        {
            get { return this._id; }
            set
            {
                this._id = value;
                this.OnPropertyChanged( );
            }
        }

        public bool NotInRibbon { get; set; }

        public ImageSource Icon
        {
            get { return this._icon; }
            set
            {
                this._icon = value;
                this.OnPropertyChanged( );
            }
        }

        public string ShortDescription
        {
            get { return this._shortDescription; }
            set
            {
                this._shortDescription = value;
                this.OnPropertyChanged( );
            }
        }

        public string LongDescription
        {
            get { return this._longDescription; }
            set
            {
                this._longDescription = value;
                this.OnPropertyChanged( );
            }
        }

        public string OnCallFunction
        {
            get { return this._onCallFunction; }
            set
            {
                this._onCallFunction = value;
                this.OnPropertyChanged( );
            }
        }

        public object OnCallFunctionParameter
        {
            get { return this._onCallFunctionParameter; }
            set
            {
                this._onCallFunctionParameter = value;
                this.OnPropertyChanged( );
            }
        }

        #endregion
    }
}
