﻿namespace QuickAccess.EventAggregator {
    public interface IEventAggregator {
        #region Members

        bool Subscribe<TMessage>( IListener<TMessage> listener ) where TMessage : IEventMessage;

        bool Unsubscribe<TMessage>( IListener<TMessage> listener ) where TMessage : IEventMessage;

        bool UnsubscribeAll<TMessage>( ) where TMessage : IEventMessage;

        void Publish<TMessage>( TMessage message ) where TMessage : IEventMessage;

        #endregion
    }
}
