﻿namespace QuickAccess.GraphicsManager.ViewModels {
    #region Imported Namespaces

    using System;
    using System.Collections.ObjectModel;
    using System.Windows.Controls;
    using Commands;
    using ViewModelFramework;

    #endregion

    public interface IMainWindowViewModel : IBaseViewModel {
        #region Properties

        string ProgramWindowName { get; set; }

        ObservableCollection<IPageViewModel> PageViewModels { get; set; }

        ObservableCollection<ITabViewModel> TabViewModels { get; set; }

        ObservableCollection<IButtonViewModel> ApplicationMenuButtonViewModels { get; set; }

        IPageViewModel OverlayPageViewModel { get; set; }

        IPageViewModel CurrentlyActivePage { get; set; }

        Guid SelectedOperator { get; set; }

        bool Initialized { get; }

        Dock TabBarPosition { get; set; }

        bool ShowTabHeaderCloseButton { get; set; }

        IRelayCommand ButtonDirectorCommand { get; set; }

        string StatusBarMessage { get; set; }

        event EventHandler UpdateDefaultSelectedTab;

        #endregion

        #region Members

        bool Initialize( );

        bool CloseWindow( );

        #endregion
    }
}
