﻿namespace QuickAccess.GraphicsManager.ViewModels {
    #region Imported Namespaces

    using System.Collections.Generic;
    using Commands;
    using Models;
    using ViewModelFramework;

    #endregion

    public interface IPageViewModel : IBaseDomainObjectViewModel<IPage> {
        string PageTitle { get; set; }

        bool CloseButtonVisibility { get; set; }

        IRelayCommand CloseCommand { get; set; }

        IRelayCommand ManagerCommand { get; set; }

        bool PreventPageClosing { get; set; }

        IList<string> BoundTabs { get; set; }

        string DefaultTab { get; set; }
    }
}
